Modulul 5 · 5.2
Exportarea calendarului și a persoanelor de contact din Google și Microsoft
Modulul 5: Calendar și persoane de contact · Timp de citire: 12 minute
Obiectivul lecției: După această lecție veți putea realiza un export complet și utilizabil al calendarelor și persoanelor de contact din Google și Microsoft, veți putea citi un fișier ICS și un fișier vCard și veți ști ce nu este preluat sau este preluat diferit la export.
Noțiuni cheie: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE și TZID, ORGANIZER și ATTENDEE, VALARM, vCard (VCF) 3.0 și 4.0, csv, Google Takeout, instrument de migrare
Două formate de fișiere pe care aproape toată lumea le cunoaște
Mutați calendarele și persoanele de contact folosind două formate deschise:
- iCalendar, fișiere cu extensia
.ics(RFC 5545), pentru calendare și sarcini. - vCard, fișiere cu extensia
.vcf, pentru persoane de contact. Există două versiuni pe care le puteți întâlni: 3.0 (RFC 2426) și 4.0 (RFC 6350).
Acestea sunt fișiere text obișnuite. Le puteți deschide într-un editor de text și exact asta veți face în această lecție. Cine știe ce conține un fișier, vede și ce lipsește din el.
Există adesea o cale mai simplă decât exportul: multe servicii noi au un instrument de migrare care, cu acordul dumneavoastră, preia direct de la Google sau Microsoft calendarele și persoanele de contact. Acest lucru se face mai rapid și cu mai puține erori. Totuși, un export propriu este recomandat: ca verificare (câte întâlniri și contacte aveam?), ca o copie de siguranță înainte de a renunța la vechiul serviciu și ca soluție alternativă dacă administratorul dumneavoastră nu permite utilizarea instrumentului de migrare.
Așa arată un fișier de calendar
Un export al calendarului Bakkerij De Korrel începe astfel:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARCe observați:
| Linie | Semnificație | Unde poate apărea o problemă |
|---|---|---|
BEGIN:VCALENDAR și VERSION:2.0 | acesta este un fișier iCalendar | dacă lipsește, importul este refuzat |
BEGIN:VEVENT ... END:VEVENT | o singură întâlnire | lipsa unui END face ca restul să devină ilizibil |
UID | identificatorul fix al întâlnirii | fără UID, serverul nu poate recunoaște duplicatele |
DTSTART;TZID=... | ora de început într-un fus orar | vedeți mai jos despre fusuri orare |
RRULE | regula de repetare: în fiecare marți | o regulă invalidă produce o singură întâlnire în loc de o serie |
EXDATE | excepție: nu are loc în această marți | |
ORGANIZER, ATTENDEE | cine a invitat și cine este invitat | vedeți mai jos despre invitații |
VALARM | memento, cu 30 de minute înainte | nu toate serviciile preiau mementourile |
Fusuri orare
O oră cu TZID=Europe/Amsterdam înseamnă: ora 6 dimineața la Amsterdam, inclusiv după trecerea la ora de vară. Fișierul trebuie să conțină și un bloc VTIMEZONE care descrie acest fus orar. Exporturile din Outlook folosesc adesea denumiri Windows precum W. Europe Standard Time. Acest lucru funcționează corect atâta timp cât blocul VTIMEZONE este prezent. Dacă lipsește, noul serviciu va face o presupunere și veți vedea întâlnirile decalate cu o oră. O oră care se termină cu Z (20261110T050000Z) este în UTC și este întotdeauna lipsită de ambiguitate. O oră fără fus orar și fără Z se numește oră "flotantă": aceasta se aplică în fusul orar al persoanei care o vizualizează.
Întâlnirile de toată ziua apar ca dată fără oră: DTSTART;VALUE=DATE:20261224.
Invitații
O întâlnire pe care dumneavoastră ați organizat-o apare în fișier cu dumneavoastră ca ORGANIZER. După import, aceasta apare în noul dumneavoastră calendar, dar participanții o au în continuare în calendarul lor propriu ca invitație de la vechea dumneavoastră adresă, cu un UID de la vechiul serviciu. Dacă modificați întâlnirea ulterior, aceștia vor primi o invitație nouă. Pentru întâlnirile recurente cu persoane din afara organizației, poate fi mai curat să îi invitați din nou după trecere. Întâlnirile la care ați fost invitat dumneavoastră sunt preluate ca întâlniri obișnuite; răspunsurile către organizator se transmit prin e-mail.
Exportul din Google
- Calendar: în Google Calendar, la Setări, secțiunea Import și export, butonul Export. Veți primi un fișier zip cu câte un fișier ics pentru fiecare calendar al cărui proprietar sunteți. Calendarele pe care alții le partajează cu dumneavoastră nu sunt incluse; acelea le exportă proprietarul, sau le exportați individual din setările acelui calendar, dacă acest lucru este permis.
- Persoane de contact: în Google Contacts selectați persoanele de contact (sau toate), alegeți Export și apoi formatul vCard. Google oferă și "Google CSV" și "Outlook CSV"; alegeți vCard, deoarece acesta păstrează structura (mai multe numere de telefon, adrese, fotografie).
- Totul dintr-o dată: Google Takeout (takeout.google.com) furnizează calendarul ca ics, persoanele de contact ca vcf (sau csv) și Gmail ca mbox, în fișiere zip. Util ca o copie de siguranță a întregului cont.
Denumirile din meniu se mai schimbă din când în când; dacă aveți îndoieli, căutați în secțiunea de ajutor Google "export calendar".
Exportul din Microsoft
- Calendar: în Outlook clasic pentru Windows puteți salva un calendar ca fișier iCalendar (Salvare ca, cu alegerea perioadei și a opțiunii "detalii complete"). Alegeți o perioadă suficient de extinsă în trecut și în viitor și selectați detalii complete, altfel veți exporta doar informațiile liber/ocupat. În Outlook pe web puteți publica un calendar ca link ICS și descărca fișierul prin acel link; opriți apoi din nou publicarea.
- Persoane de contact: Outlook pe web exportă persoanele de contact ca csv, nu ca vCard. Outlook clasic exportă, de asemenea, în masă în format csv; vCard este posibil acolo doar pentru fiecare contact în parte. Multe servicii CardDAV nu pot importa direct un fișier csv. Există două soluții: utilizarea instrumentului de migrare al noului serviciu (care preia persoanele de contact direct) sau importarea csv-ului într-o agendă de adrese din Thunderbird și exportul acesteia de acolo ca vCard.
- Calendarele partajate și calendarele de resurse (săli) sunt calendare ale organizației. Acestea sunt exportate de administrator sau sunt reconfigurate de la zero în noul serviciu.
Ce nu este preluat sau este preluat diferit la export
| Element | Ce se întâmplă |
|---|---|
| Atașamente la întâlniri | de obicei nu sunt preluate; rămâne doar un link, sau nimic |
| Culori și categorii | uneori ca CATEGORIES, adesea nu |
| Mementouri | uneori, în funcție de serviciu |
| Linkuri pentru videoconferințe (Teams, Meet) | rămân ca text în cadrul întâlnirii, dar nu mai funcționează după renunțarea la serviciu |
| Grupuri sau etichete de contacte | nu întotdeauna; verificați după import |
| Fotografii ale persoanelor de contact | sunt preluate în vCard, dar măresc dimensiunea fișierului |
Numărați înainte de a continua
Notați înainte de export câte persoane de contact aveți și, pentru câteva calendare, câte întâlniri sunt într-o anumită perioadă (de exemplu noiembrie). După import, numărați din nou. Aceasta este cea mai rapidă modalitate de a observa dacă lipsește ceva. În exercițiul din această lecție, veți lăsa programul să vă numere și să vă verifice fișierele.
În practică: cum arată la un furnizor
Într-un WebOké Nextcloud există două instrumente de migrare care preiau date direct: WebOké Import Tool pentru Google (Drive, Fotografii, Calendar și Contacte) și Migrarea datelor pentru OneDrive și Microsoft 365, cu care importați și persoane de contact și calendare din contul dumneavoastră Microsoft. Dacă calendarul dumneavoastră provine de altundeva, importați dumneavoastră înșivă fișierele ics și vCard (lecția 5.3). Nextcloud citește vCard 3.0 și 4.0. La alți furnizori europeni există instrumente de import similare sau un buton de import în calendar și în agenda de adrese; formatele de fișiere sunt aceleași peste tot.
Rezumat
- Calendarele se mută ca ics (iCalendar), persoanele de contact ca vcf (vCard 3.0 sau 4.0); acestea sunt fișiere text lizibile.
- Un instrument de migrare care preia datele direct este adesea mai simplu, dar realizați totuși un export propriu ca verificare și copie de siguranță.
- Într-un fișier ics, acordați atenție UID-ului, RRULE și fusurilor orare cu un bloc VTIMEZONE; fără acesta, întâlnirile se decalează.
- Outlook pe web exportă persoanele de contact doar ca csv; utilizați un instrument de migrare sau convertiți csv-ul în vCard.
- Numărați în prealabil persoanele de contact și întâlnirile, astfel încât să puteți vedea după import dacă lipsește ceva.
Quiz
Exercițiu
Exercițiul A5.2: Verificarea exportului dumneavoastră de test. Exportați un calendar (ics) și persoanele dumneavoastră de contact (vcf). Completați mai întâi câte persoane de contact aveți și câte întâlniri vă așteptați. Încărcați apoi fișierele. Programul verifică dacă sunt valide, numără întâlnirile, repetările și persoanele de contact, caută fusuri orare fără descriere și persoane de contact duplicate și compară rezultatele cu numerele introduse de dumneavoastră. Fișierele sunt doar citite și nu sunt păstrate.
Exercițiul E5.2: Ce nu este preluat? Deschideți fișierul dumneavoastră ics într-un editor de text. Căutați o întâlnire recurentă, o întâlnire cu participanți și o întâlnire cu un link pentru videoconferință. Notați, pentru fiecare întâlnire, ce trebuie să faceți după trecere.
Exercițiul E5.2: Ce nu este preluat?
Deschideți propriul fișier ics într-un editor de text.
Bifele și notițele dumneavoastră rămân doar în acest browser; nu le trimitem nicăieri. Dacă sunteți autentificat, păstrăm în Cursurile mele doar faptul că ați finalizat exercițiul.
Pentru aprofundare
Pașii din aceste articole sunt valabili pentru serviciile WebOké; la alți furnizori procedura este similară.
- Manual Nextcloud 13.5: Mutarea calendarului și a contactelor din Google, iCloud sau Outlook (ics și vCard)
- Manual Nextcloud 13.2: Transferul datelor din Google Drive, Fotografii, Calendar și Contacte cu ajutorul WebOké Import Tool
- Manual Nextcloud 13.4: Transferul OneDrive cu Migrarea datelor
- Manual Nextcloud 13.6: De la Microsoft 365 la WebOké: fișiere, documente, e-mail și calendar
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Ajutor Google Calendar: Exportarea evenimentelor; Ajutor Google Contacts: Exportarea persoanelor de contact; Asistență Microsoft: Exportarea persoanelor de contact din Outlook
